
Core - Bug # 53855

Status: Closed Priority: Must have
Author: Frans Saris Category:
Created: 2013-11-22 Assigned To:
Updated: 2013-11-27 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: Fatal error: Class 'Tx_Extbase_Utility_Extension' not found in ...typo3conf/ext/.../ext_localconf.php
Description

When you got someting like 

\Tx_Extbase_Utility_Extension::configurePlugin(...);

in your ext_localconf.php you get 

Fatal error: Class 'Tx_Extbase_Utility_Extension' not found in .../typo3conf/ext/.../ext_localconf.php on line 6

after you clear all caches.

Looks like the fallback isn't loaded yet.

I looked in my PackageStates.php and the extension is below extbase.

Related issues:
related to Core - Bug # 53853: Fatal error: Interface 't3lib_tceformsInlineHo... Resolved 2013-11-22
related to Core - Bug # 54004: Extension checker does not use the autoloader? Resolved 2013-11-27

History
#1 - 2013-11-22 11:57 - Markus Klein

I'm rather sure this is related to #53853.

#2 - 2013-11-27 08:58 - Frans Saris

Here a backtrace of the exception
( ! ) Fatal error: Class 'Tx_Extbase_Utility_Extension' not found in /var/www/typo3/master/Web/typo3conf/ext/news/ext_localconf.php on line 11
Call Stack
    1.    Time    Memory    Function    Location

1    0.0002    253832    {main}( )    ../ajax.php:0
2    0.0002    256520    require( '/var/www/typo3/master/current_master/typo3/init.php' )    ../ajax.php:56
3    0.0270    1980488    TYPO3\CMS\Core\Core\Bootstrap->loadTypo3LoadedExtAndExtLocalconf( )    ../init.php:62
4    0.0270    1980536    TYPO3\CMS\Core\Core\Bootstrap->loadAdditionalConfigurationFromExtensions( )    ../Bootstrap.php:331
5    0.0270    1980568    TYPO3\CMS\Core\Utility\ExtensionManagementUtility::loadExtLocalconf( )    ../Bootstrap.php:680
6    0.0270    1980856    TYPO3\CMS\Core\Utility\ExtensionManagementUtility::loadSingleExtLocalconfFiles( )   

../ExtensionManagementUtility.php:1420
7    0.0400    2574576    require( '/var/www/typo3/master/Web/typo3conf/ext/news/ext_localconf.php' )    ../ExtensionManagementUtility.php:1444

#3 - 2013-11-27 09:14 - Frans Saris

Did some debugging but looks like the ClassAliasMap files aren't loaded.

#4 - 2013-11-27 11:02 - Frans Saris
- % Done changed from 0 to 100

Is resolved in current master

#5 - 2013-11-27 12:37 - Markus Klein
- Status changed from New to Closed
